Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RaySceneQueryListener Class Reference

Alternative listener class for dealing with RaySceneQuery. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::RaySceneQueryListener:

[legend]
List of all members.

## Public Member Functions
virtual | ~RaySceneQueryListener ()
virtual bool | queryResult (MovableObject *obj, Real distance)=0
| Called when a movable objects intersects the ray.
virtual bool | queryResult (SceneQuery::WorldFragment *fragment, Real distance)=0
| Called when a world fragment is intersected by the ray.

## Detailed Description

Alternative listener class for dealing with RaySceneQuery.

Remarks:
  Because the RaySceneQuery returns results in an extra bit of information, namely distance, the listener interface must be customised from the standard SceneQueryListener.

Definition at line 329 of file OgreSceneQuery.h.

## Constructor & Destructor Documentation

virtual Ogre::RaySceneQueryListener::~RaySceneQueryListener | ( |  | ) | `[virtual]`

| Definition at line 332 of file OgreSceneQuery.h.

## Member Function Documentation

virtual bool Ogre::RaySceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment,
|  | Real | distance
| ) | `[pure virtual]`

| Called when a world fragment is intersected by the ray. Remarks: As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. Implemented in Ogre::RaySceneQuery.

virtual bool Ogre::RaySceneQueryListener::queryResult | ( | MovableObject * | obj,
|  | Real | distance
| ) | `[pure virtual]`

| Called when a movable objects intersects the ray. Remarks: As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. Implemented in Ogre::RaySceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:46 2008